Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class BasicSceneController

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.BasicSceneController

All Implemented Interfaces:
  AVList, SceneController, WWObject, PropertyChangeListener, EventListener

    public class BasicSceneController

extends WWObjectImpl
implements SceneController

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`BasicSceneController()`

Method Summary
`FrameController` | `getFrameController()`
`double` | `getFramesPerSecond()`
`double` | `getFrameTime()`
`Model` | `getModel()`
`PickedObjectList` | `getPickedObjectList()`
`double` | `getVerticalExaggeration()`
`View` | `getView()`
`PickedObjectList` | `pick(Point pickPoint)`
`void` | `repaint()`
`void` | `setFrameController(FrameController frameController)`
`void` | `setModel(Model model)`
`void` | `setVerticalExaggeration(double verticalExaggeration)`
`void` | `setView(View view)`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### BasicSceneController

    public BasicSceneController()

Method Detail

### getFrameController

    public FrameController getFrameController()

  Specified by:
    `getFrameController` in interface `SceneController`

### getFramesPerSecond

    public double getFramesPerSecond()

  Specified by:
    `getFramesPerSecond` in interface `SceneController`

### getFrameTime

    public double getFrameTime()

  Specified by:
    `getFrameTime` in interface `SceneController`

### getModel

    public Model getModel()

  Specified by:
    `getModel` in interface `SceneController`

### getPickedObjectList

    public PickedObjectList getPickedObjectList()

  Specified by:
    `getPickedObjectList` in interface `SceneController`

### getVerticalExaggeration

    public double getVerticalExaggeration()

  Specified by:
    `getVerticalExaggeration` in interface `SceneController`

### getView

    public View getView()

  Specified by:
    `getView` in interface `SceneController`

### pick

    public PickedObjectList pick(Point pickPoint)

  Specified by:
    `pick` in interface `SceneController`

### repaint

    public void repaint()

  Specified by:
    `repaint` in interface `SceneController`

### setFrameController

    public void setFrameController(FrameController frameController)

  Specified by:
    `setFrameController` in interface `SceneController`
  Parameters:
    `frameController` - the frame controller
  Throws:
    `IllegalArgumentException` - if `frameController` is null

### setModel

    public void setModel(Model model)

  Specified by:
    `setModel` in interface `SceneController`

### setVerticalExaggeration

    public void setVerticalExaggeration(double verticalExaggeration)

  Specified by:
    `setVerticalExaggeration` in interface `SceneController`

### setView

    public void setView(View view)

  Specified by:
    `setView` in interface `SceneController`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD